package com.bio.bio_backend.domain.base.member.service;

import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;

import com.bio.bio_backend.domain.base.member.dto.MemberDto;

import java.util.List;
import java.util.Map;

public interface MemberService extends UserDetailsService {

    UserDetails loadUserByUsername(String id);

    MemberDto createMember(MemberDto memberDTO);

    String getRefreshToken(String id);

    void deleteRefreshToken(String id);

    void updateMember(MemberDto member);

    List<MemberDto> selectMemberList(Map<String, String> params);
}
